unit DIIClientForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, CorbaObj;

type
  TForm3 = class(TForm)
    Timer1: TTimer;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    Server: TAny;
  end;

var
  Form3: TForm3;

implementation

{$R *.DFM}

uses
  Registry;

procedure TForm3.FormCreate(Sender: TObject);
var
  OldValue: Longint;
  Factory: TAny;
const
  DesiredValue: Longint = 0;
begin
  //Make sure the Dial-Up Networking box doesn't come up
  with TRegistry.Create do
    try
      OpenKey('Software\Microsoft\Windows\CurrentVersion\Internet Settings', False);
      OldValue := ReadBinaryData('EnableAutoDial', OldValue, SizeOf(Longint));
      if OldValue <> DesiredValue then
        WriteBinaryData('EnableAutoDial', DesiredValue, SizeOf(Longint));
      CorbaInitialize;
      if OldValue <> DesiredValue then
        WriteBinaryData('EnableAutoDial', OldValue, SizeOf(Longint));
    finally
      Free
    end;
  //Make a CORBA object factory
  Factory := CorbaBind('IDL:Server/TestFactory:1.0');
  //Now make the server object instance
  Server := Factory.CreateInstance('Server')
end;

procedure TForm3.Timer1Timer(Sender: TObject);
begin
  try
    Label1.Caption := DateTimeToStr(Server.Get_DateAndTime)
  except
    on E: Exception do
    begin
      Label1.Caption := Format('%s: %s', [E.Classname, E.Message]);
      Timer1.Enabled := False
    end
  end
end;

end.
