unit MDetailServerDataModule;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComServ, ComObj, VCLCom, StdVcl, BdeProv, DataBkr, DBClient, MDetailServer_TLB,
  Provider, Db, DBTables;

type
  TMasterDetail = class(TRemoteDataModule, IMasterDetail)
    Customer: TTable;
    Orders: TTable;
    dsCustomer: TDataSource;
    proCustomer: TProvider;
    procedure proCustomerGetDataSetProperties(Sender: TObject;
      DataSet: TDataSet; out Properties: OleVariant);
  private
    { Private declarations }
  public
    { Public declarations }
  protected
    function Get_proCustomer: IProvider; safecall;
  end;

var
  MasterDetail: TMasterDetail;

implementation

{$R *.DFM}

function TMasterDetail.Get_proCustomer: IProvider;
begin
  Result := proCustomer.Provider;
end;

procedure TMasterDetail.proCustomerGetDataSetProperties(Sender: TObject;
  DataSet: TDataSet; out Properties: OleVariant);
begin
  Properties := VarArrayCreate([0,0], varVariant);
  Properties[0] := VarArrayOf(['TimeSentOver', TimeToStr(Now), False]);
end;

initialization
  TComponentFactory.Create(ComServer, TMasterDetail,
    Class_MasterDetail, ciMultiInstance, tmApartment);
end.
