unit MenuTooBarForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdActns, ActnList, ImgList, ToolWin, ComCtrls, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    ControlBar1: TControlBar;
    ToolBar1: TToolBar;
    MainMenu1: TMainMenu;
    ActionList1: TActionList;
    ImageList1: TImageList;
    Copy1: TEditCopy;
    Cut1: TEditCut;
    Paste1: TEditPaste;
    Arrange1: TWindowArrange;
    Cascade1: TWindowCascade;
    Close1: TWindowClose;
    MinimizeAll1: TWindowMinimizeAll;
    TileHorizontally1: TWindowTileHorizontal;
    TileVertically1: TWindowTileVertical;
    File1: TMenuItem;
    Open1: TMenuItem;
    Exit1: TMenuItem;
    Edit1: TMenuItem;
    Cut2: TMenuItem;
    Copy2: TMenuItem;
    Paste2: TMenuItem;
    Window1: TMenuItem;
    Arrange2: TMenuItem;
    Cascade2: TMenuItem;
    TileHorizontally2: TMenuItem;
    TileVertically2: TMenuItem;
    RichEdit1: TRichEdit;
    procedure FormCreate(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

//Add toolbar and set properties:
//  AutoSize=True
//  EdgeBorders=[]
//  Flat=True
//  ShowCaptions=True
procedure TForm1.FormCreate(Sender: TObject);
var
  Loop: Integer;
begin
  //Don't want to see normal menu anymore
  Menu := nil;
  //Loop through all top level menu items
  for Loop := MainMenu1.Items.Count - 1 downto 0 do
    //Create a tool button
    with TToolButton.Create(ToolBar1) do
    begin
      //Set cunning tool button property to do all the work
      MenuItem := MainMenu1.Items[Loop];
      //Make button be right size for caption
      AutoSize := True;
      //Make sure mouse works well with these buttons
      Grouped := True;
      //Draw button on toolbar
      Parent := ToolBar1;
    end;
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Close
end;

end.
