unit TimeAutomationServer_TLB;

// ************************************************************************ //
// WARNING                                                                  //
// -------                                                                  //
// The types declared in this file were generated from data read from a     //
// Type Library. If this type library is explicitly or indirectly (via      //
// another type library referring to this type library) re-imported, or the //
// 'Refresh' command of the Type Library Editor activated while editing the //
// Type Library, the contents of this file will be regenerated and all      //
// manual modifications will be lost.                                       //
// ************************************************************************ //

// PASTLWTR : $Revision:   1.11.1.75  $
// File generated on 21/05/99 13:08:00 from Type Library described below.

// ************************************************************************ //
// Type Lib: D:\MasterClass\Delphi 4\Automation Events\TimeAutomationServer.tlb
// IID\LCID: {9CC6AC40-3B64-11D2-96EC-A7CFC5869269}\0
// Helpfile: 
// HelpString: TimeAutomationServer Library
// Version:    1.0
// ************************************************************************ //

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

// *********************************************************************//
// GUIDS declared in the TypeLibrary. Following prefixes are used:      //
//   Type Libraries     : LIBID_xxxx                                    //
//   CoClasses          : CLASS_xxxx                                    //
//   DISPInterfaces     : DIID_xxxx                                     //
//   Non-DISP interfaces: IID_xxxx                                      //
// *********************************************************************//
const
  LIBID_TimeAutomationServer: TGUID = '{9CC6AC40-3B64-11D2-96EC-A7CFC5869269}';
  IID_ITimeServer: TGUID = '{9CC6AC41-3B64-11D2-96EC-A7CFC5869269}';
  DIID_IAlarmEvents: TGUID = '{9CC6AC43-3B64-11D2-96EC-A7CFC5869269}';
  IID_IAlarm: TGUID = '{9CC6AC47-3B64-11D2-96EC-A7CFC5869269}';
  CLASS_TimeServer: TGUID = '{9CC6AC45-3B64-11D2-96EC-A7CFC5869269}';
type

// *********************************************************************//
// Forward declaration of interfaces defined in Type Library            //
// *********************************************************************//
  ITimeServer = interface;
  ITimeServerDisp = dispinterface;
  IAlarmEvents = dispinterface;
  IAlarm = interface;
  IAlarmDisp = dispinterface;

// *********************************************************************//
// Declaration of CoClasses defined in Type Library                     //
// (NOTE: Here we map each CoClass to its Default Interface)            //
// *********************************************************************//
  TimeServer = ITimeServer;


// *********************************************************************//
// Interface: ITimeServer
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {9CC6AC41-3B64-11D2-96EC-A7CFC5869269}
// *********************************************************************//
  ITimeServer = interface(IDispatch)
    ['{9CC6AC41-3B64-11D2-96EC-A7CFC5869269}']
    function Get_CurrentTime: TDateTime; safecall;
    function Get_CurrentDate: TDateTime; safecall;
    property CurrentTime: TDateTime read Get_CurrentTime;
    property CurrentDate: TDateTime read Get_CurrentDate;
  end;

// *********************************************************************//
// DispIntf:  ITimeServerDisp
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {9CC6AC41-3B64-11D2-96EC-A7CFC5869269}
// *********************************************************************//
  ITimeServerDisp = dispinterface
    ['{9CC6AC41-3B64-11D2-96EC-A7CFC5869269}']
    property CurrentTime: TDateTime readonly dispid 1;
    property CurrentDate: TDateTime readonly dispid 2;
  end;

// *********************************************************************//
// DispIntf:  IAlarmEvents
// Flags:     (4096) Dispatchable
// GUID:      {9CC6AC43-3B64-11D2-96EC-A7CFC5869269}
// *********************************************************************//
  IAlarmEvents = dispinterface
    ['{9CC6AC43-3B64-11D2-96EC-A7CFC5869269}']
    procedure Ring; dispid 1;
  end;

// *********************************************************************//
// Interface: IAlarm
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {9CC6AC47-3B64-11D2-96EC-A7CFC5869269}
// *********************************************************************//
  IAlarm = interface(IDispatch)
    ['{9CC6AC47-3B64-11D2-96EC-A7CFC5869269}']
    procedure SetAlarm(AlarmTime: TDateTime); safecall;
    procedure CancelAlarm; safecall;
  end;

// *********************************************************************//
// DispIntf:  IAlarmDisp
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {9CC6AC47-3B64-11D2-96EC-A7CFC5869269}
// *********************************************************************//
  IAlarmDisp = dispinterface
    ['{9CC6AC47-3B64-11D2-96EC-A7CFC5869269}']
    procedure SetAlarm(AlarmTime: TDateTime); dispid 4;
    procedure CancelAlarm; dispid 5;
  end;

  CoTimeServer = class
    class function Create: ITimeServer;
    class function CreateRemote(const MachineName: string): ITimeServer;
  end;

implementation

uses ComObj;

class function CoTimeServer.Create: ITimeServer;
begin
  Result := CreateComObject(CLASS_TimeServer) as ITimeServer;
end;

class function CoTimeServer.CreateRemote(const MachineName: string): ITimeServer;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_TimeServer) as ITimeServer;
end;

end.
