unit AggregationServerInterfaceU;

{ Effectively implements aggregation where the aggregated
  implements the relevant methods required by the specified
  interface, but is not a COM object, nor even an interfaced
  object. Uses interface implementation by delegation }

interface

const
  Class_Controlling: TGuid = '{B082D8A9-05CF-11D2-AA17-006097EF0A97}';
  Class_Aggr: TGuid = '{B082D8AA-05CF-11D2-AA17-006097EF0A97}';

type
  IControlling = interface
  ['{B082D8A7-05CF-11D2-AA17-006097EF0A97}']
    procedure AControllingMethod; safecall;
  end;

  IAggr = interface
  ['{B082D8A8-05CF-11D2-AA17-006097EF0A97}']
    procedure AnAggrMethod; safecall;
  end;

implementation

end.
